Foxit PDF SDK

Instance Methods | Properties | List of all members
FSAuditSpaceSize Class Reference

Structure of audit space, the unit is byte type.
More...

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.

## Properties
unsigned int | acroforms
| Total size of AcroForm data in bytes. More...
unsigned int | bookmarks
| Total size of bookmarks data in bytes. More...
unsigned int | color_space
| Total size of color space definitions in bytes. More...
unsigned int | comments_and_3d_contents
| Total size of comments and 3D contents in bytes. More...
unsigned int | content_streams
| Total size of all page content streams in bytes. More...
unsigned int | cross_ref_tables
| Total size of the cross-reference table in bytes. More...
unsigned int | embed_files
| Total size of embedded file streams in bytes. More...
unsigned int | extend_graphics_states
| Total size of extended graphics states in bytes. More...
unsigned int | fonts
| Total size of embedded fonts in bytes. More...
unsigned int | images
| Total size of embedded images in bytes. More...
unsigned int | link_annots
| Total size of link annotations in bytes. More...
unsigned int | named_destnations
| Total size of named destinations in bytes. More...
unsigned int | pattern_infos
| Total size of pattern objects in bytes. More...
unsigned int | piece_infos
| Total size of piece information in bytes. More...
unsigned int | shading_pattern_infos
| Total size of shading pattern information in bytes. More...
unsigned int | structure_infos
| Total size of structural information in bytes. More...
unsigned int | thumbs
| Total size of page thumbnails in bytes. More...
unsigned int | web_infos
| Total size of web-related metadata in bytes. More...
unsigned int | x_object_forms
| Total size of XObject Forms in bytes. More...

## Detailed Description

Structure of audit space, the unit is byte type.

## Property Documentation

## ◆ acroforms

- (unsigned int) acroforms
| read write nonatomic assign

Total size of AcroForm data in bytes.

AcroForms define interactive form fields in PDF documents.

## ◆ bookmarks

- (unsigned int) bookmarks
| read write nonatomic assign

Total size of bookmarks data in bytes.

Bookmarks (or outlines) help navigate a PDF document's content hierarchy.

## ◆ color_space

- (unsigned int) color_space
| read write nonatomic assign

Total size of color space definitions in bytes.

Includes all color space objects like ICC profiles, CalRGB, DeviceN, etc.

## ◆ comments_and_3d_contents

- (unsigned int) comments_and_3d_contents
| read write nonatomic assign

Total size of comments and 3D contents in bytes.

Includes PDF comments and embedded 3D object data, such as U3D or PRC models.

## ◆ content_streams

- (unsigned int) content_streams
| read write nonatomic assign

Total size of all page content streams in bytes.

Content streams include the actual PDF instructions for rendering page content.

## ◆ cross_ref_tables

- (unsigned int) cross_ref_tables
| read write nonatomic assign

Total size of the cross-reference table in bytes.

The cross-reference table maps object numbers to byte offsets in the PDF file.

## ◆ embed_files

- (unsigned int) embed_files
| read write nonatomic assign

Total size of embedded file streams in bytes.

Embedded files include attachments such as spreadsheets, text files, or other documents.

## ◆ extend_graphics_states

- (unsigned int) extend_graphics_states
| read write nonatomic assign

Total size of extended graphics states in bytes.

Extended graphics states control rendering properties like transparency, blend modes, and line styles.

## ◆ fonts

- (unsigned int) fonts
| read write nonatomic assign

Total size of embedded fonts in bytes.

Includes both fully and partially embedded font programs.

## ◆ images

- (unsigned int) images
| read write nonatomic assign

Total size of embedded images in bytes.

Includes all raster images used across the document.

## ◆ link_annots

- (unsigned int) link_annots
| read write nonatomic assign

Total size of link annotations in bytes.

Includes all hyperlink and navigation annotations within the document.

## ◆ named_destnations

- (unsigned int) named_destnations
| read write nonatomic assign

Total size of named destinations in bytes.

Named destinations are predefined navigation targets used by links and outlines.

## ◆ pattern_infos

- (unsigned int) pattern_infos
| read write nonatomic assign

Total size of pattern objects in bytes.

Includes tiling and shading patterns used for fills and strokes.

## ◆ piece_infos

- (unsigned int) piece_infos
| read write nonatomic assign

Total size of piece information in bytes.

PieceInfo is used by some workflows to store private application data.

## ◆ shading_pattern_infos

- (unsigned int) shading_pattern_infos
| read write nonatomic assign

Total size of shading pattern information in bytes.

Covers all shading patterns used for gradient fills.

## ◆ structure_infos

- (unsigned int) structure_infos
| read write nonatomic assign

Total size of structural information in bytes.

Structural information includes tagged PDF structures used for accessibility and reflow.

## ◆ thumbs

- (unsigned int) thumbs
| read write nonatomic assign

Total size of page thumbnails in bytes.

Thumbnails are small preview images associated with pages.

## ◆ web_infos

- (unsigned int) web_infos
| read write nonatomic assign

Total size of web-related metadata in bytes.

Web info may include additional metadata used for web viewing or cataloging.

## ◆ x_object_forms

- (unsigned int) x_object_forms
| read write nonatomic assign

Total size of XObject Forms in bytes.

XObject Forms are reusable content streams that can be drawn multiple times.